Package com.sun.jna.ptr

# Class DoubleByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.ptr.DoubleByReference

All Implemented Interfaces:
  `NativeMapped`

public class DoubleByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleByReference()`
  `DoubleByReference(double value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getValue()`
  `void`
  `setValue(double value)`
  `String`
  `toString()`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DoubleByReference

    public DoubleByReference()

  - ### DoubleByReference

    public DoubleByReference(double value)

- ## Method Details

  - ### setValue

    public void setValue(double value)

  - ### getValue

    public double getValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ByReference`